-- #107
CREATE TABLE stylegroupmap (
     stylegroupmapid      integer  not null AUTO_INCREMENT
,    stylegroupid         integer  not null
,    styletemplateid      integer  not null
,    position             integer  not null

,   constraint pk_stylegroupmap                 primary key (stylegroupmapid)
,   constraint fk_stylegroupmap_stylegroupid    foreign key (stylegroupid)
        references stylegroup                       (stylegroupid)
,   constraint fk_stylegroupmap_styletemplateid foreign key (styletemplateid)
        references styletemplate                    (styletemplateid)
)
GO
CREATE UNIQUE INDEX i_stylegroup ON stylegroupmap (stylegroupid, styletemplateid)
GO

CREATE INDEX i_styletemplate ON stylegroupmap (styletemplateid)
GO
