define(['testsuite/qunit', 'jquery', 'de_epages/catalog/ui/productlastviewed', 'util/storage', '$ready!'], function (QUnit, $, de_epages, storage) {

	QUnit.module("de_epages/catalog/ui/productlastviewed");

	QUnit.asyncTest("de_epages/catalog/ui/productlastviewed", function() {

		// simulate last viewed product controller
		storage.localStorage( 'Catalog::ProductLastViewed.list',{"9778":{"id":"9778","objectPath":"/Shops/DemoShop/Products/hm_0100401001","name":"Mag-Lite Mini","image":"Shops/DemoShop/Products/hm_0100401001/hm_0100401001_s.jpg","tstamp":1296662556407},"9839":{"id":"9839","objectPath":"/Shops/DemoShop/Products/md_49417110/SubProducts/md_4941711060","name":"Meindl Air Revolution 2.0","image":"Shops/DemoShop/Products/md_49417110/md_49417110_s.jpg","tstamp":1296662551978},"9859":{"id":"9859","objectPath":"/Shops/DemoShop/Products/vs_3202112018","name":"Black Bear Gemini","image":"Shops/DemoShop/Products/vs_3202112018/vs_3202112018_s.jpg","tstamp":1296662526387}} );

		// create widget
		$('#productList').catalogUiProductLastViewed();

		// check length of created items
		QUnit.deepEqual(
			$('#productList').find('li').length,
			3,
			"$('#productList').find('li').length"
		);

		$('#productList').catalogUiProductLastViewed('destroy');

		QUnit.equal($("#productList").children().length, 0, "All Children of the target <<Div>> of the Widget have been disappended after destroying the Widget");

		QUnit.start();
	});
});