-- #203
CREATE TABLE navelement (
     navelementid         integer  not null
,    template             varchar(255)  not null
,    featureid            integer  null
,    navelementgroupid    integer  not null
,    iconimage            varchar(255)  null
,    previewimage         varchar(255)  null
,    iscustomizable       bool  not null

,   constraint pk_navelement                    primary key (navelementid)
,   constraint fk_navelement_navelementid       foreign key (navelementid)
        references class                            (classid)
,   constraint fk_navelement_featureid          foreign key (featureid)
        references feature                          (featureid)
,   constraint fk_navelement_navelementgroupid  foreign key (navelementgroupid)
        references navelementgroup                  (navelementgroupid)
)
GO
CREATE INDEX i_navelement_feature ON navelement (featureid)
GO

CREATE INDEX i_navelement_group ON navelement (navelementgroupid)
GO
