define(['testsuite/qunit', 'jquery', 'ep/debug'], function (QUnit, $, ep) {

	QUnit.module("ep.debug");

	QUnit.asyncTest("ep.debug", function () {

		//dummy function for statistic test
		function randomTest(){
			for(var i = 0; i < 100; i++){
				var a = Math.random();
			}
		};

		try {
			ep.debug.statistic('helloWorld', randomTest);
			ep.debug.statistic();

			QUnit.ok(true,'take statistic');
		}
		catch (e) {
			QUnit.ok(false,'take statistic failed');
		}

		try {
			console.debug('if you see me something is wrong');

			QUnit.ok(true, 'console is deactivated');
		}
		catch (e) {
			QUnit.ok(false, 'deactivate console failed');
		}

		QUnit.start();
	});

});