define(['testsuite/qunit', 'jquery', 'ep/fn/contextorientation', '$ready!'], function (QUnit, $, ep) {

	QUnit.module("ep/fn/contextorientation");

	QUnit.asyncTest("ep/fn/contextorientation", function() {

		var elem = $('#test-elem'),
			context = $('#test-context');

		elem.contextOrientation( context, 'top' );

		QUnit.equal(
			elem.position().left,
			8,
			"elem.contextOrientation( context, 'top' )"
		);

		elem.contextOrientation( context, 'left' );

		QUnit.equal(
			elem.position().left,
			-42,
			"elem.contextOrientation( context, 'left' )"
		);

		elem.contextOrientation( context, 'right' );

		QUnit.equal(
			elem.position().left,
			58,
			"elem.contextOrientation( context, 'right' )"
		);

		elem.contextOrientation( context, 'center' );

		QUnit.equal(
			elem.position().left,
			8,
			"elem.contextOrientation( context, 'conter' )"
		);

		QUnit.start();
	});

});